Subject: Re: bug#70036 a fix that

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 19:29:58 +0300

> From: João Távora <[email-masked]>
> Date: Thu, 18 Apr 2024 17:15:52 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> On Thu, Apr 18, 2024 at 5:11 PM Theodor Thornhill <[email-masked]> wrote:
> 
> >  > Profiles can mislead and they can lie.  It is much easier to time the
> >  > old and the new code doing the same jobs, and compare the times.
> >  >
> >  >> If so, I think this simpler patch after my sig is all we need, as it
> >  >> completely clears the profile of any "file-truename".  I have reverted
> >  >> the earlier patch and pushed a patch very similar to the one after my sig.
> >
> >  That's unfortunate.
> 
> For you maybe.

For me also.

And please try to be kinder.  Theo might have made a mistake (or not),
but he is still a valued contributor, so please treat him with respect
he deserves.

> From my standpoint noone else besides you has complained about these
> problems, and I am still Eglot maintainer and must protect against
> regressions.

Yes, but that doesn't mean you should rush to revert others' changes
while the discussion is still on-going and the conclusions are not yet
in sight.  Please don't, it hurts people and makes them less willing
to contribute.  No catastrophe would have happened if you waited for a
while before making the changes.